liborigin 2.0.0

Macros | Functions | Variables
CMakeCCompilerId.c File Reference

## Macros
#define | __has_include(x) 0
#define | ARCHITECTURE_ID
#define | C_DIALECT
#define | COMPILER_ID ""
#define | DEC(n)
#define | HEX(n)
#define | PLATFORM_ID
#define | STRINGIFY(X) STRINGIFY_HELPER(X)
#define | STRINGIFY_HELPER(X) #X

## Functions
int | main (int argc, char *argv[])

## Variables
char const * | info_arch = "INFO" ":" "arch[" ARCHITECTURE_ID "]"
char const * | info_compiler = "INFO" ":" "compiler[" COMPILER_ID "]"
const char * | info_language_dialect_default
char const * | info_platform = "INFO" ":" "platform[" PLATFORM_ID "]"

## Macro Definition Documentation

## ◆ __has_include

#define __has_include | ( |  | x | ) | 0

## ◆ ARCHITECTURE_ID

#define ARCHITECTURE_ID

## ◆ C_DIALECT

#define C_DIALECT

## ◆ COMPILER_ID

#define COMPILER_ID ""

## ◆ DEC

#define DEC | ( |  | n | ) |

Value:
('0' + (((n) / 10000000)%10)), \
('0' + (((n) / 1000000)%10)), \
('0' + (((n) / 100000)%10)), \
('0' + (((n) / 10000)%10)), \
('0' + (((n) / 1000)%10)), \
('0' + (((n) / 100)%10)), \
('0' + (((n) / 10)%10)), \
('0' + ((n) % 10))

## ◆ HEX

#define HEX | ( |  | n | ) |

Value:
('0' + ((n)>>28 & 0xF)), \
('0' + ((n)>>24 & 0xF)), \
('0' + ((n)>>20 & 0xF)), \
('0' + ((n)>>16 & 0xF)), \
('0' + ((n)>>12 & 0xF)), \
('0' + ((n)>>8 & 0xF)), \
('0' + ((n)>>4 & 0xF)), \
('0' + ((n) & 0xF))

## ◆ PLATFORM_ID

#define PLATFORM_ID

## ◆ STRINGIFY

#define STRINGIFY | ( |  | X | ) | STRINGIFY_HELPER(X)

## ◆ STRINGIFY_HELPER

#define STRINGIFY_HELPER | ( |  | X | ) | #X

## Function Documentation

## ◆ main()

int main | ( | int | argc,
|  | char * | argv[]
| ) |  |

References info_arch, info_compiler, info_language_dialect_default, and info_platform.

## Variable Documentation

## ◆ info_arch

char const* info_arch = "INFO" ":" "arch[" ARCHITECTURE_ID "]"

Referenced by main().

## ◆ info_compiler

char const* info_compiler = "INFO" ":" "compiler[" COMPILER_ID "]"

Referenced by main().

## ◆ info_language_dialect_default

const char* info_language_dialect_default

Initial value:
=
"INFO" ":" "dialect_default[" C_DIALECT "]"
C_DIALECT
#define C_DIALECT
Definition: CMakeCCompilerId.c:741

Referenced by main().

## ◆ info_platform

char const* info_platform = "INFO" ":" "platform[" PLATFORM_ID "]"

Referenced by main().